List adjustments
List adjustments associated with a Moov account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/adjustments
curl -X GET "https://api.moov.io/accounts/{accountID}/adjustments" \
-H "Authorization: Bearer {token}" \
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Adjustments.ListAsync(accountID: "c054f3a6-d542-4310-a955-830739f800f0");
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListAdjustmentsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListAdjustmentsResponse res = sdk.adjustments().list()
.accountID("c054f3a6-d542-4310-a955-830739f800f0")
.call();
if (res.adjustments().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.adjustments.list(account_id: 'c054f3a6-d542-4310-a955-830739f800f0')
unless res.adjustments.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.adjustments.list({
accountID: "c054f3a6-d542-4310-a955-830739f800f0",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->adjustments->list(
accountID: 'c054f3a6-d542-4310-a955-830739f800f0'
);
if ($response->adjustments !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.adjustments.list(account_id="c054f3a6-d542-4310-a955-830739f800f0")
# Handle response
print(res)The request completed successfully.
[
{
"adjustmentID": "string",
"walletID": "string",
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"createdOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
walletID
string
A wallet ID to filter adjustments by.
Response
adjustmentID
string
amount
object
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
createdOn
string<date-time>
walletID
string